<?php
$this->extend('BuzzCamps./Common/camps');
$this->assign('title', 'Camps');
?>

<?php $this->end(); // side ?>

<?php if (empty($profile)): ?>

	<?php echo $this->Fa->link('chevron-circle-right', __('Create Profile'), ['action' => 'account_profile'], ['class' => 'button']); ?>

<?php else: ?>

	<div class="row">
		<div class="col-xs-12 col-sm-8">
			<h3><?php echo __d('buzz_camps', 'Upcoming Camps') ?></h3>
		</div>
		<div class="col-xs-12 col-sm-4 xs-text-left text-right">
			<?php echo $this->Fa->link('plus-circle fa-inline', __d('buzz_camps', 'Add Camp'), ['action' => 'account_edit_camp'], ['class' => 'overview__link', 'before' => true, 'space' => false]); ?>
		</div>
		<div class="col-xs-12">
			<table class="table--flat">
				<thead>
					<tr>
						<th><?php echo __d('buzz_camps', 'Date') ?></th>
						<th><?php echo __d('buzz_camps', 'Name') ?></th>
						<th><?php echo __d('buzz_camps', 'Available') ?></th>
						<th><?php echo __d('buzz_camps', 'Cost') ?></th>
						<th><?php echo __d('buzz_camps', 'Bookable') ?></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<?php if (empty($data)): ?>
						<tr>
							<td colspan="6"><?php echo __d('buzz_camps', 'No upcoming camps'); ?></td>
						</tr>
					<?php else: ?>
						<?php foreach ($data as $row): ?>
							<tr>
								<td>
									<?php echo $this->Time->i18nFormat(strtotime($row['Camp']['date']), '%d/%m/%Y'); ?>
								</td>
								<td>
									<?php echo $this->Html->link($row['Camp']['name'], ['action' => 'view', $row['Camp']['id']]); ?>
								</td>
								<td>
									<?php echo $row['Camp']['remaining_availability'] . ' / ' . $row['Camp']['slots_available']; ?>
								</td>
								<td>
									<?php echo $this->Number->currency($row['Camp']['cost']); ?>
								</td>
								<td>
									<?php echo $row['Camp']['is_bookable'] ? __('Yes') : __('No'); ?>
								</td>
								<td>
									<?php echo $this->Html->link(__d('buzz_camps', 'Edit'), ['action' => 'account_edit_camp', $row['Camp']['id']]); ?>
									<?php echo $this->Html->link(__d('buzz_camps', 'Copy'), ['action' => 'account_edit_camp', $row['Camp']['id'], 1]); ?>
									<?php echo $this->Html->link(__d('buzz_camps', 'Bookings'), ['action' => 'account_bookings', $row['Camp']['id']]); ?>
								</td>
							</tr>
						<?php endforeach; ?>
					<?php endif; ?>
				</tbody>
			</table>
		</div>
	</div>

<?php endif; ?>
